UpdateSystemConfig
Updates the system configuration.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
system-config
UpdateSystemConfig
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config"
payload = { "request": {
"force": True,
"update_mask": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config"
payload := strings.NewReader("{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config")
.header("Content-Type", "application/json")
.body("{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ai": {
"code_segment_processing": true
},
"analytics": {
"cvss_version": "CVSS_VERSION_UNSPECIFIED",
"enable_approximate_scans": true,
"enable_finding_prioritization": true,
"enable_version_upgrade_prioritization": true
},
"artifactory": {
"enable_streaming": true
},
"cloud_deployment": {
"nat_network_requests": true
},
"endor_ignore": {
"custom_file_names": [
"<string>"
],
"enable": true,
"pr_comments": true
},
"finding_prioritization": {
"factors": {}
},
"logging": {
"enable_remote_logging": true,
"remote_ep": "<string>",
"remote_log_level": "LOG_LEVEL_UNSPECIFIED"
},
"package_firewall": {
"cvss_severity_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"cvss_severity_threshold": "CVSS_SEVERITY_LEVEL_UNSPECIFIED",
"ecosystem_package_manager_uuid": {},
"exceptions": [
{
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"package_name": "<string>",
"exact_versions": [
"<string>"
],
"version_ranges": [
{
"end": "<string>",
"start": "<string>"
}
]
}
],
"fail_closed": true,
"malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_hours": 123,
"notification_rules": [
{
"name": "<string>",
"notification_target_uuids": [
"<string>"
],
"on_actions": [
"PACKAGE_FIREWALL_ACTION_UNSPECIFIED"
],
"reasons": [
"PACKAGE_FIREWALL_REASON_UNSPECIFIED"
]
}
],
"restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"restricted_licenses": [
"<string>"
]
},
"policy": {
"auto_enable": true,
"auto_update": true
},
"sast": {
"enable_code_snippet_storage": true,
"enable_semgrep": true
},
"urgent_notification": {
"email_addresses": [
"<string>"
],
"enable_urgent_notification": true,
"slack_webhook_url": "<string>",
"urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Body
application/json
Response
A successful response.
SystemConfig represents the system configuration for a tenant.
Was this page helpful?
UpdateSystemConfig
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config"
payload = { "request": {
"force": True,
"update_mask": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config"
payload := strings.NewReader("{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config")
.header("Content-Type", "application/json")
.body("{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/system-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ai": {
"code_segment_processing": true
},
"analytics": {
"cvss_version": "CVSS_VERSION_UNSPECIFIED",
"enable_approximate_scans": true,
"enable_finding_prioritization": true,
"enable_version_upgrade_prioritization": true
},
"artifactory": {
"enable_streaming": true
},
"cloud_deployment": {
"nat_network_requests": true
},
"endor_ignore": {
"custom_file_names": [
"<string>"
],
"enable": true,
"pr_comments": true
},
"finding_prioritization": {
"factors": {}
},
"logging": {
"enable_remote_logging": true,
"remote_ep": "<string>",
"remote_log_level": "LOG_LEVEL_UNSPECIFIED"
},
"package_firewall": {
"cvss_severity_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"cvss_severity_threshold": "CVSS_SEVERITY_LEVEL_UNSPECIFIED",
"ecosystem_package_manager_uuid": {},
"exceptions": [
{
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"package_name": "<string>",
"exact_versions": [
"<string>"
],
"version_ranges": [
{
"end": "<string>",
"start": "<string>"
}
]
}
],
"fail_closed": true,
"malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_hours": 123,
"notification_rules": [
{
"name": "<string>",
"notification_target_uuids": [
"<string>"
],
"on_actions": [
"PACKAGE_FIREWALL_ACTION_UNSPECIFIED"
],
"reasons": [
"PACKAGE_FIREWALL_REASON_UNSPECIFIED"
]
}
],
"restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"restricted_licenses": [
"<string>"
]
},
"policy": {
"auto_enable": true,
"auto_update": true
},
"sast": {
"enable_code_snippet_storage": true,
"enable_semgrep": true
},
"urgent_notification": {
"email_addresses": [
"<string>"
],
"enable_urgent_notification": true,
"slack_webhook_url": "<string>",
"urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}